Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Dateieigenschaften mit Makro schreiben

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Dateieigenschaften mit Makro schreiben (429 mal gelesen)
KB-Hamann
Mitglied
Konstrukteur für SG-Werkzeuge

Sehen Sie sich das Profil von KB-Hamann an!   Senden Sie eine Private Message an KB-Hamann  Schreiben Sie einen Gästebucheintrag für KB-Hamann

Beiträge: 4
Registriert: 14.01.2019

erstellt am: 14. Jan. 2019 15:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
nach 20Jahren SolidWorks hier nun mein erster Beitrag/Frage.
Bis zur Version SW2017 habe ich Dateieigenschaften mit dem folgenden Code eingetragen:

Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Dim dummy

Sub main()

Dim swApp As Object
     
    Set swApp = CreateObject("SldWorks.Application")
    swApp.Visible = True
    Set Model = swApp.ActiveDoc
   
dummy = Model.AddCustomInfo("Status", "Text", "TestStatus")
End Sub

Das scheint in SW2019 nicht mehr zu funktionieren.
Kann da wohl jemand mit einen kleinen Tipp helfen?

PS: das Beispiel ist nur ein kleiner Ausschnitt, der aber die noch nicht existierende Eigenschaft einträgt.
Da das löschen der vorhandenen Einträge funktioniert, sollte dieses kleine Beispiel genügen.
Der Code wurde 2001 aus einem Beispiel von Stefan Berlitz entnommen.

Vielen Dank für Eure Mühe,
Rainer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GDawg
Ehrenmitglied V.I.P. h.c.
FEM Simulant / Konstrukteur / SolidWorks Händchenhalter



Sehen Sie sich das Profil von GDawg an!   Senden Sie eine Private Message an GDawg  Schreiben Sie einen Gästebucheintrag für GDawg

Beiträge: 2616
Registriert: 12.07.2004

SolidWorks_2o18 Premium SP3.o
Win7_x64, Quadro_k2ooo.
VisualStudio_2o15_Enterprise.
FEM: Forge_NxT_HPC, ANSYS_19.x_WB.
3D-Printer: Ultimaker_2, Tinker_v17.1o.

erstellt am: 14. Jan. 2019 15:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für KB-Hamann 10 Unities + Antwort hilfreich

Hallo Rainer

Funktioniert den dieser Code (der Code funktioniert in 2018sp3):

Code:

Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager
Dim val As String
Dim valout As String
Dim bool As Boolean

Sub main()
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swModelDocExt = swModel.Extension
' Get the custom property data
Set swCustProp = swModelDocExt.CustomPropertyManager("")
bool = swCustProp.Add3("FieldName", swCustomInfoText, "Test String", swCustomPropertyReplaceValue)
bool = swCustProp.Get4("FieldName", False, val, valout)
Debug.Print "Value:                    " & val
Debug.Print "Evaluated value:          " & valout
Debug.Print "Up-to-date data:          " & bool
End Sub


------------------
404

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KB-Hamann
Mitglied
Konstrukteur für SG-Werkzeuge

Sehen Sie sich das Profil von KB-Hamann an!   Senden Sie eine Private Message an KB-Hamann  Schreiben Sie einen Gästebucheintrag für KB-Hamann

Beiträge: 4
Registriert: 14.01.2019

erstellt am: 14. Jan. 2019 15:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für die schnelle Hilfe, das bringt mich in jedem Fall weiter.
Aktuell verfolgen wir hier eine Spur, die uns die Überarbeitung der alten Makros erspart.
Über das Ergebnis werde ich informieren.
Rainer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KB-Hamann
Mitglied
Konstrukteur für SG-Werkzeuge

Sehen Sie sich das Profil von KB-Hamann an!   Senden Sie eine Private Message an KB-Hamann  Schreiben Sie einen Gästebucheintrag für KB-Hamann

Beiträge: 4
Registriert: 14.01.2019

erstellt am: 14. Jan. 2019 17:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo GDawg,
der von mir verfolgte Weg war eine Sackgasse, mit deinem Code läuft das Rund.
Bitte hilf mir doch noch einmal, denn das gleiche brauchen wir für Zeichnungen (.slddrw).
Gruß Rainer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GDawg
Ehrenmitglied V.I.P. h.c.
FEM Simulant / Konstrukteur / SolidWorks Händchenhalter



Sehen Sie sich das Profil von GDawg an!   Senden Sie eine Private Message an GDawg  Schreiben Sie einen Gästebucheintrag für GDawg

Beiträge: 2616
Registriert: 12.07.2004

SolidWorks_2o18 Premium SP3.o
Win7_x64, Quadro_k2ooo.
VisualStudio_2o15_Enterprise.
FEM: Forge_NxT_HPC, ANSYS_19.x_WB.
3D-Printer: Ultimaker_2, Tinker_v17.1o.

erstellt am: 16. Jan. 2019 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für KB-Hamann 10 Unities + Antwort hilfreich

Hast du den Code oben auf der Zeichnung versucht?
Sollte eigentlich genau gleich funktionieren....

------------------
404

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KB-Hamann
Mitglied
Konstrukteur für SG-Werkzeuge

Sehen Sie sich das Profil von KB-Hamann an!   Senden Sie eine Private Message an KB-Hamann  Schreiben Sie einen Gästebucheintrag für KB-Hamann

Beiträge: 4
Registriert: 14.01.2019

erstellt am: 16. Jan. 2019 09:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja, das funktioniert sogar sehr gut. Gerade habe ich die Zeile in meinem Code gefunden, die einen vorzeitigen Abbruch provozierte.
Noch einmal vielen Dank dafür.

Ich bin total überwältigt von diesem Forum, mit so einer schnellen Hilfe habe ich nicht gerechnet.
Und das Beste: it works!!!

Gruß Rainer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz